{ pkgs ? import <nixpkgs> {}}:
{
  jobsets = pkgs.runCommand "spec.json" {}
    ''
    cat > $out << EOF
    {
        "tecpak": {
            "enabled": 1,
            "hidden": false,
            "description": "tecpak",
            "nixexprinput": "nixScripts",
            "nixexprpath": "tecpak.nix",
            "checkinterval": 300,
            "schedulingshares": 10,
            "enableemail": false,
            "emailoverride": "",
            "keepnr": 10,
            "inputs": {
                "nixpkgs": { "type": "git", "value": "git://github.com/NixOS/nixpkgs-channels nixos-19.09", "emailresponsible": false },
                "tecpak": { "type": "git", "value": "https://git.m-labs.hk/M-Labs/ionpak-thermostat.git", "emailresponsible": false },
                "mozillaOverlay": { "type": "git", "value": "https://github.com/mozilla/nixpkgs-mozilla.git", "emailresponsible": false },
                "nixScripts": { "type": "git", "value": "https://git.m-labs.hk/astro/nix-scripts.git tecpak", "emailresponsible": false }
            }
        }
    }
    EOF
    '';
}
