{ pkgs ? import <nixpkgs> {},
  tecpak-nix ? import <tecpak> { mozillaOverlay = import <mozillaOverlay>; },
}:
with pkgs;
{ tecpak = lib.hydraJob (tecpak-nix.firmware
    .overrideAttrs (oldAttrs: {
      installPhase = ''
        ${oldAttrs.installPhase}

        mkdir -p $out/nix-support
        for f in $out/*.elf ; do
          echo file binary-dist $f >> $out/nix-support/hydra-build-products
        done
      '';
    }));
}
